> ## Documentation Index
> Fetch the complete documentation index at: https://developers.qshop.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get product reviews



## OpenAPI

````yaml get /{shopId}/products/{productId}/reviews/
openapi: 3.0.3
info:
  title: API V2
  version: 1.0.0
  contact: {}
servers:
  - url: http://staging.qshop.ng/apiv2
    description: Staging server
  - url: http://qshop.ng/api
    description: null
security: []
tags:
  - name: Analytics
  - name: Authentication
  - name: Storefront
  - name: Roles
  - name: Banks
  - name: Products
  - name: Shops
  - name: Roles1
  - name: Bank accounts
  - name: Users
  - name: Payment methods
  - name: Integrations
  - name: Subscriptions
  - name: Currency
  - name: Shipping zones
  - name: Shipping rates
  - name: Policies
  - name: Contact us
  - name: Locations
  - name: Reviews
  - name: Referral
  - name: Stripe
  - name: Campaigns
  - name: Credits
  - name: Product Tags
  - name: Product Attributes
  - name: Product Categories
  - name: Orders
  - name: Discount
  - name: Shipping
  - name: Redeem digital assets
  - name: Coupons
  - name: Currencies
  - name: Shop categories
  - name: Locations1
  - name: Features
  - name: Subscription plan
  - name: Recurring subscription plan
  - name: Shop payments
  - name: QDiscounts
  - name: Order status
  - name: Announcements
  - name: Wishlist
  - name: Transaction status
  - name: Templates
  - name: Config
  - name: Cart management
  - name: Users1
  - name: Profile
  - name: Domains
  - name: Transactions
  - name: Subscriptions1
  - name: Subscription statuses
  - name: Security
  - name: Payments
  - name: Payment methods1
  - name: Payment platforms
  - name: Public
  - name: social
  - name: Shipping1
  - name: Orders1
  - name: Integrations1
  - name: Webhook
  - name: ShopTags
  - name: Themes
paths:
  /{shopId}/products/{productId}/reviews/:
    parameters:
      - name: productId
        in: path
        required: true
        schema:
          type: string
          example: 61a961741a113f7e13c45c3a
    get:
      tags:
        - Shops
        - Reviews
      summary: Get product reviews
      description: Get product reviews
      operationId: getProductReviews
      parameters:
        - name: sort
          in: query
          schema:
            type: string
            example: '-created'
      responses:
        '200':
          description: Get product reviews
          headers:
            Access-Control-Allow-Headers:
              schema:
                type: string
                example: >-
                  Content-Type, Authorization, Content-Length, X-Requested-With,
                  Token
            Access-Control-Allow-Methods:
              schema:
                type: string
                example: GET,PUT,POST,DELETE,OPTIONS,PATCH
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '787'
            Date:
              schema:
                type: string
                example: Wed, 22 Feb 2023 15:06:49 GMT
            ETag:
              schema:
                type: string
                example: W/"313-z6A8Kat636nYb7CP/hcTVVfIitY"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      currentPage:
                        type: number
                        example: 1
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            __v:
                              type: number
                              example: 0
                            _id:
                              type: string
                              example: 63f62da70bf12b7f208998d1
                            comment:
                              type: string
                              example: Good product mate
                            created:
                              type: string
                              example: '2023-02-22T14:58:47.131Z'
                            email:
                              type: string
                              example: adeyinkabadmus@gmail.com
                            fullName:
                              type: string
                              example: Ademi deyinka
                            isApproved:
                              type: boolean
                              example: false
                            product:
                              type: string
                              example: 61a961741a113f7e13c45c3a
                            rate:
                              type: number
                              example: 2
                            shop:
                              type: string
                              example: 61a956d91a113f7e13c45c15
                            subject:
                              type: string
                              nullable: true
                              example: I like it
                            updated:
                              type: string
                              example: '2023-02-22T14:58:47.131Z'
                        example:
                          - __v: 0
                            _id: 63f62da70bf12b7f208998d1
                            comment: Good product mate
                            created: '2023-02-22T14:58:47.131Z'
                            email: adeyinkabadmus@gmail.com
                            fullName: Ademi deyinka
                            isApproved: false
                            product: 61a961741a113f7e13c45c3a
                            rate: 2
                            shop: 61a956d91a113f7e13c45c15
                            subject: I like it
                            updated: '2023-02-22T14:58:47.131Z'
                          - __v: 0
                            _id: 63f6164af036a4287d7f91ac
                            comment: Good product mate
                            created: '2023-02-22T13:19:06.663Z'
                            email: adeyinkabadmus@gmail.com
                            fullName: Ademi deyinka
                            isApproved: false
                            product: 61a961741a113f7e13c45c3a
                            rate: 2
                            shop: 61a956d91a113f7e13c45c15
                            subject: null
                            updated: '2023-02-22T13:19:06.663Z'
                      next:
                        nullable: true
                        example: null
                      noOfPages:
                        type: number
                        example: 1
                      prev:
                        nullable: true
                        example: null
                      totalRecord:
                        type: number
                        example: 2
                  msg:
                    type: string
                    example: Product reviews found
                  success:
                    type: boolean
                    example: true
              examples:
                Get product reviews:
                  value:
                    data:
                      currentPage: 1
                      data:
                        - __v: 0
                          _id: 63f62da70bf12b7f208998d1
                          comment: Good product mate
                          created: '2023-02-22T14:58:47.131Z'
                          email: adeyinkabadmus@gmail.com
                          fullName: Ademi deyinka
                          isApproved: false
                          product: 61a961741a113f7e13c45c3a
                          rate: 2
                          shop: 61a956d91a113f7e13c45c15
                          subject: I like it
                          updated: '2023-02-22T14:58:47.131Z'
                        - __v: 0
                          _id: 63f6164af036a4287d7f91ac
                          comment: Good product mate
                          created: '2023-02-22T13:19:06.663Z'
                          email: adeyinkabadmus@gmail.com
                          fullName: Ademi deyinka
                          isApproved: false
                          product: 61a961741a113f7e13c45c3a
                          rate: 2
                          shop: 61a956d91a113f7e13c45c15
                          subject: null
                          updated: '2023-02-22T13:19:06.663Z'
                      next: null
                      noOfPages: 1
                      prev: null
                      totalRecord: 2
                    msg: Product reviews found
                    success: true

````